[Pkg-ocaml-maint-commits] [SCM] OCaml packaging branch, 3.11/master, updated. debian/3.11.0-1-1-g767a359

Stephane Glondu steph at glondu.net
Wed Jan 21 00:01:44 UTC 2009


The following commit has been merged in the 3.11/master branch:
commit 767a359b435e97062a9fd6ad707787991a9247a7
Author: Stephane Glondu <steph at glondu.net>
Date:   Wed Jan 21 00:36:22 2009 +0100

    Add dbm_ldopts.dpatch, adding missing linking options for dbm

diff --git a/debian/changelog b/debian/changelog
index fbe000c..71a26f1 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+ocaml (3.11.0-2) UNRELEASED; urgency=low
+
+  * Add dbm_ldopts.dpatch, to add missing linking options for dbm
+    (fixes ocsigen FTBFS)
+
+ -- Stephane Glondu <steph at glondu.net>  Wed, 21 Jan 2009 01:00:18 +0100
+
 ocaml (3.11.0-1) experimental; urgency=low
 
   * New upstream release:
diff --git a/debian/patches/00list b/debian/patches/00list
index 094fc1f..e73b529 100644
--- a/debian/patches/00list
+++ b/debian/patches/00list
@@ -7,3 +7,4 @@ no_rpath.dpatch
 stdlib_man_section.dpatch
 install_scripts_config.dpatch
 install_ocamlbuild.dpatch
+dbm_ldopts.dpatch
diff --git a/debian/patches/dbm_ldopts.dpatch b/debian/patches/dbm_ldopts.dpatch
new file mode 100755
index 0000000..31d782f
--- /dev/null
+++ b/debian/patches/dbm_ldopts.dpatch
@@ -0,0 +1,32 @@
+#! /bin/sh -e 
+## dbm_ldopts.dpatch by Stephane Glondu <steph at glondu.net>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: add missing dynamic linking options for dbm (see OCaml PR#4699)
+
+if [ $# -ne 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+case "$1" in
+    -patch) patch -f --no-backup-if-mismatch -p1 < $0;;
+    -unpatch) patch -f --no-backup-if-mismatch -R -p1 < $0;;	
+    *)
+	echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+	exit 1;;
+esac
+
+exit 0
+ at DPATCH@
+diff --git a/otherlibs/dbm/Makefile b/otherlibs/dbm/Makefile
+index 68fd200..894c822 100644
+--- a/otherlibs/dbm/Makefile
++++ b/otherlibs/dbm/Makefile
+@@ -21,6 +21,7 @@ CAMLOBJS=dbm.cmo
+ COBJS=cldbm.o
+ EXTRACFLAGS=$(DBM_INCLUDES)
+ LINKOPTS=$(DBM_LINK)
++LDOPTS=-ldopt "$(DBM_LINK)"
+ 
+ include ../Makefile
+ 

-- 
OCaml packaging



More information about the Pkg-ocaml-maint-commits mailing list